<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\User;
use App\Http\Requests\LoginRequest;
use App\Http\Requests\StudentStoreRequest;
use App\Mail\Notification;
use Illuminate\Support\Facades\Mail;
class LoginController extends Controller
{
    /**
     *  login  page
     */
    public function index()
    {
       return view('website.auth.login');
    }
    /**
     * Sign Up Page
     */
     public function signup()
     {
        return view('website.auth.register');
     }
     /**
      *  Signin functionailty
     */
     public function signin(LoginRequest $request)
     {
         $request->validated();
         if(Auth::attempt(['email'=>$request->email,'password'=>$request->password]))
         {
            $user=Auth::user();
            if($user->type == User::TYPE_ADMIN){
            return redirect()->route('dahboard')->with('message','admin login succesfully');
            }
            else if($user->type==User::TYPE_STUDENT || $user->type==User::TYPE_TEACHER)
            {
               return redirect()->route('web.user.profile')->with('message','student login succesfully');
            }   
         }
         else{
            return redirect()->back()->with('message','Credentials Mismatch');
         }      
     }
       /**
      * Sign Up Functionailty
      */
      public function  Signup_user(StudentStoreRequest $request)
      {
          $request->validated();
          $input=$request->all();
          $input['password']=bcrypt($request->password);

          $existingUser = User::where('email', $request->email)->first();
          if ($existingUser) {
              return redirect()->back()->with('message', 'Email already exists Please enter a Unique Email');
          }
          if ($request->hasFile('image')) {
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("student_images/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('student_images');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
          }
          $result=User::create($input);
          $data = [
            'email' => $result->email,
            'password' => $request->password ,// Assuming you want to send the password as well
        ];
         
         Mail::to($result->email)->send(new Notification($data));
          if($result)
          {
            return redirect()->route('login')->with('message','student register Succesfully Please login your Id');
          }
          else
          {
            return redirect()->back()->with('message','Some Error Occured Please try again');
          }
      }
      public function logout(Request $request)
      {
          Auth::logout();
          return redirect()->route('abofyy.home')->with('message','logout successfully');
      }
}