<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Http\Requests\StudentStoreRequest;
use App\Http\Requests\StudentUpdateRequest;
class StudentController extends Controller
{
  /**
   *  get studnet
   */
     public function index()
     {
        $getstudent=User::where('type','STUDENT')->get();
        return view('admin.Users.index',compact('getstudent'));
     }

     
     /**
      * student store 
      */

      public function store(StudentStoreRequest $request)
      {
          $request->validated();
          $input=$request->all();
          if ($request->hasFile('image')) {
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("student_images/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('student_images');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
          }

          $result=User::create($input);
          if($result)
          {return redirect()->route('student.list')->with('message','student added Succesfully!');}
          else{return redirect()->back()->with('message','some error occur please try again');}

      }
  /**
  *  delete student 
   */

      public function delete($id)
      {
         $deletestudent=User::findorfail($id);
         $deletestudent->delete();
         return redirect()->back()->with('message','student deleted succesfully');
        
      }


/**
 *  edit studnet 
 */
      public function edit($id)
      {
        $editstudnet=User::findorfail($id);
        return view('admin.Users.edit',compact('editstudnet'));

      }


      /**
       *  update studnet
       */

       public function update(StudentUpdateRequest $request)
       {
        //dd($request->all());
          //$request->validated();
          $id=$request->id;
          $updatestudent=User::findorfail($id);
          $input=$request->all();
          $input['password']= $request->filled('password')?bcrypt($request->password): $updatestudent->password;
          if ($request->hasFile('image')) {
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("student_images/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('student_images');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
          }
          //dd($input);
          $result=$updatestudent->update($input);
          if($result)
          {return redirect()->route('student.list')->with('message','student updated suucesfully');}
          else{return redirect()->back()->with('message','Some Error Occur Please try again!');}

        
       }

       
}