<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use  App\Models\User;
use  App\Models\TeacherRating;
use App\Http\Requests\TeacherStoreRequest;
use App\Http\Requests\TeacherUpdateRequest;
use App\Mail\Notification;
use Illuminate\Support\Facades\Mail;
class TeacherController extends Controller
{

    /**
    *  Home Web Teachers        
    */
   

    public function index()
    {
        $getteacher=User::where('type','TEACHER')->get();
        //dd($getteacher);
        return view('admin.Teachers.index',compact('getteacher'));
    }



    /**
     * store teachers
     */

     public function store(TeacherStoreRequest $request)
     {
      //  dd($request->all());
        $request->validated();
        $input=$request->all();
        $input['password']=bcrypt($request->password);
        if ($request->hasFile('image')) {
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("teacher_images/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('teacher_images');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
          }
          //dd($input);
          $result=User::create($input);
          $data = [
            'email' => $result->email,
            'password' => $request->password ,// Assuming you want to send the password as well
        ];
         
         Mail::to($result->email)->send(new Notification($data));
          if($result)
          {return redirect()->route('admin.teacherlist')->with('message','teacher store succesfully');}
          else{return redirect()->back()->with('message','some error please try agin');}   
     }


     /**
      * edit teachers
      */

      public function edit($id)
      {
        $editteacher=User::where('id',$id)->first();
        return view('admin.Teachers.edit',compact('editteacher'));
      }



      /**
       * update teachers
       */

       public function update(TeacherUpdateRequest $request)
       {
          $request->validated();
          $id=$request->id;
          $updated_teacher=User::findorfail($id);
          //$passwordd=$updated_teacher->password;
          $input=$request->all();
          $input['password'] = $request->filled('password') ? bcrypt($request->password) : $updated_teacher->password;
          if ($request->hasFile('image')) {
            $image=$request->image;
            $ext=$image->getClientOriginalExtension();
            $filename = asset("teacher_images/img-" . time() . "-" . rand() . "." . $ext);
            $destinationPath = public_path('teacher_images');
            $image->move($destinationPath, $filename);
            $input['image'] = $filename;
          }
       //dd($input);

          $result=$updated_teacher->update($input);
          $data = [
            'email' => $request->email,
            'password' => $request->password ,// Assuming you want to send the password as well
        ];
         
          Mail::to($request->email)->send(new Notification($data));
          if($result)
          {return redirect()->route('admin.teacherlist')->with('message','teacher updated succesfully');}
          else
          {return redirect()->back()->with('message','some error please try again!');}
          
        
       }



       /**
        * delete
        */
        public function delete($id)
        {
           $delete_teacher=User::findorfail($id);
           $delete_teacher->delete();
           return redirect()->route('admin.teacherlist')->with('message','teacher store succesfully');

        }

 /**
  *  add reviews teacher
  */
  

     public function techersreview($id)
     {
        $teaherreview=User::findorfail($id);
        return view('admin.Teachers.reviews',compact('teaherreview'));

    
     }


        
}