<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\UserRating;
use App\Http\Requests\TeacherRatingRequest;
use Illuminate\Support\Facades\Auth;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;

class WebTeachersController extends Controller
{

   /**
    * teachers
    */
     public function index()
     {
        $data=User::with('user')->where('type','TEACHER')->latest()->get();
       // $setreview=UserRating::with('user')->latest()->get();
       //dd($data);
        return view('website.teacher',compact('data'));
        
     }


/**
 *  search functionailtyy
 * 
 */
public function search(Request $request)
{
  $teacher_name=$request->teacher_name;
  $data=User::with('user')->where('type','TEACHER')->where('firstname',$teacher_name)->get();
 // dd($data);
  return view('website.teacher',compact('data'));

}



/**
 * single teacher bu ID
 */

     public function single_teacher($id)
     {
         $data=User::with('user')->where('type','TEACHER')->where('id',$id)->latest()->first();
         $student_reviews=UserRating::where('user_id',$id)->get();
         $totalNumberOfReviews = count($student_reviews);
         $totalRatings = 0;
         $totalWeightedRatings = 0;
         $numberOfRatings = [];
        for ($i = 1; $i <= 5; $i++) {
         $numberOfRatings[] = $student_reviews->where('rating', $i)->count();
         $totalRatings += $numberOfRatings[$i -1];
         $totalWeightedRatings += $i * $numberOfRatings[$i - 1];
         }
       //dd($numberOfRatings);

         /**
        * Avergare Rating
        */
         $averageRating = ($totalRatings > 0) ? $totalWeightedRatings / $totalRatings : 0;
         $round_number=number_format($averageRating,1);
       //  dd($averageRating);

       /**
        * calculate the percentage 
        */
        $ratingPercentages = [];
       foreach ($numberOfRatings as $ratingCount) {
         $percentage = ($totalNumberOfReviews > 0) ? ($ratingCount / $totalNumberOfReviews) * 100 : 0;
         $ratingPercentages[] = $percentage;
        }
        return view('website.teachersingle', compact('data', 'student_reviews', 'totalNumberOfReviews', 'ratingPercentages','round_number','numberOfRatings'));
     }

     /**
      * reviews update
      */
      public function update(TeacherRatingRequest $request)
      {
          // Get the authenticated user
          
          if (!Auth::check()) 
          {
            return redirect()->back()->with('message', 'User not logged in');
          }
          $user = Auth::user();
          //dd($user->id);
          if($user->type==User::TYPE_STUDENT)
          {
          $rating = UserRating::where('student_id',$user->id)->first();
         
          if ($rating) {
              // Update the existing rating
              $rating->update([
                   'user_id' => $request->user_id,
                  'rating' => $request->rating,
                  'description' => $request->description,
                  'student_id' => $user->id,
              ]);
          } else {
              // Create a new rating
              UserRating::create([
                  'user_id' => $request->user_id,
                  'rating' => $request->rating,
                  'description' => $request->description,
                  'student_id' => $user->id,
              ]);
          }
      
          return redirect()->back()->with('alert', 'Reviews added successfully');
      }
      else{
        session()->flash('alert', 'You are not authorized to add Reviews.');
        return redirect()->back();
      }
    }

}