<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;


  /** USER TYPE */
  public const TYPE_ADMIN='ADMIN';
  public const TYPE_TEACHER='TEACHER';
  public const TYPE_STUDENT='STUDENT';

/** ALL USER TYPES */
public const ALL_USER_TYPE=[
    self::TYPE_ADMIN,
    self::TYPE_TEACHER,
    self::TYPE_STUDENT
    
];

  


    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'type',
        'firstname',
        'lastname',
        'email',
        'phone_number',
        'password',
        'image',
        'description',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];



    public function user()
    {
        return $this->belongsTo('App\Models\UserRating','id','user_id');

    }


    public function studnet()
    {
        return $this->belongsTo('App\Models\UserRating','id','student_id');
    }
}