@extends('Layout.master')
@section('content')
<div class="main-content side-content pt-0">

    <div class="main-container container-fluid">
        <div class="inner-body">

            <!-- Page Header -->
            <div class="page-header">
                <div>
                    <h2 class="main-content-title tx-24 mg-b-5">Admin</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="">Teacher</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Edit</li>
                    </ol>
                </div>
            </div>
            <!-- End Page Header -->

            <!-- Row -->
            <form method="post" action="{{route('teacher.update')}}" enctype="multipart/form-data">
                @csrf
                <div class="row row-sm">
                    <div class="col-lg-12 col-md-12">
                        <div class="card custom-card">
                            <div class="card-body">
                                <div>
                                    <!-- <h6 class="main-content-label mb-2 mx-5">Teacher</h6> -->
                                </div>
                                <input type="hidden" name="id" value="{{$editteacher?$editteacher->id:''}}" />
                                <input type="hidden" name="type" value="{{$editteacher?$editteacher->type:''}}" />
                                <div class="col-md-12 text-center">
                                    <label for="avatarUpload">
                                        <img id="avatarPreview" src="{{$editteacher?$editteacher->image:''}}" class="rounded-circle" style="width: 150px;" alt="Avatar" />
                                    </label>
                                    <input type="file" id="avatarUpload" style="display: none;" accept="image/*" onchange="previewAvatar(event)" name="image">
                                </div>

                                <div class="row row-sm  justify-content-between">

                                    <div class="col-md-12 p-5">
                                        <div class="d-flex align-items-center">
                                            <div class="col-lg">
                                                <label for="">First Name</label>
                                                <input class="form-control p-4" placeholder="First Name" type="text" name="firstname" value="{{$editteacher?$editteacher->firstname:''}}">
                                                @error('firstname')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                            <div class="col-lg">
                                                <label for="">Last Name</label>
                                                <input class="form-control p-4" placeholder="Last Name" type="text" name="lastname" value="{{$editteacher?$editteacher->lastname:''}}">
                                                @error('lastname')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center mt-4">
                                            <div class="col-md-6 p-5">
                                                <label for="">Email Address</label>
                                                <input class="form-control p-4" placeholder="Email Address" type="text" name="email" value="{{$editteacher?$editteacher->email :''}}">
                                                @error('email')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>


                                            <div class="col-md-6 p-5">
                                                <label for="">Password(Optional)</label>
                                                <input class="form-control p-4" placeholder="Password" type="password" name="password">
                                            </div>

                                        </div>
                                        <div class="col-md-12 p-5">
                                            <label for="">Phone Number</label>
                                            <input class="form-control p-4" placeholder="phone Number" type="text" name="phone_number" value="{{$editteacher?$editteacher->phone_number:''}}">
                                            @error('phone_number')
                                            <span style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>



                                        <div class="col-md-12 p-5">
                                            <label for="">description</label>
                                            <textarea class="form-control p-4" placeholder="description" type="text" name="description">{{$editteacher?$editteacher->description:''}}</textarea>
                                            @error('description')
                                            <span style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>

                                        <div class="col-md-12 justify-content-end d-flex mt-3 gap-2">
                                            <button type="submit" class="btn ripple btn-outline-primary btn-rounded form-control" onclick="return confirm('Are you sure you want to Update?')">UPDATE TEACHER</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection
<script type="text/javascript">
    function previewAvatar(event) {
        const input = event.target;
        const reader = new FileReader();
        reader.onload = function() {
            const img = document.getElementById('avatarPreview');
            img.src = reader.result;
        };
        reader.readAsDataURL(input.files[0]);
    }
</script>