<!-- Main Content-->
@extends('Layout.master')
@section('content')
<div class="main-content side-content pt-0">
    <div class="main-container container-fluid">
        <div class="inner-body">
            <!-- Page Header -->
            <div class="page-header">
                <div>
                    <h2 class="main-content-title tx-24 mg-b-5">Teacher List</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="#">Aboffy</a></li>
                        <li class="breadcrumb-item active" aria-current="page">teacher List</li>
                    </ol>
                </div>
            </div>
            <!-- End Page Header -->
            <!--Row-->
            <div class="row row-sm">
                <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12 grid-margin">
                    <div class="card custom-card">
                        <div class="card-header border-bottom-0 pb-0">
                            <div class="d-flex justify-content-between">
                                <label class="main-content-label mb-0 pt-1">Teacher Table</label>
                                <a href="/addteacher"><button class="ms-auto btn btn-primary">Add Teacher</button></a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive border userlist-table">
                                <table class="table card-table table-striped table-vcenter text-nowrap mb-0">
                                    <thead>
                                        <tr>
                                            <th class="wd-lg-8p"><span>Profile Image</span></th>
                                            <th class="wd-lg-20p" )><span>Firstname</span></th>
                                            <th class="wd-lg-20p"><span>lastname</span></th>
                                            <th class="wd-lg-20p"><span>Email</span></th>
                                            <th class="wd-lg-20p"><span>Phone Number</span></th>
                                            <th class="wd-lg-20p"><span>Description</span></th>
                                            <th class="wd-lg-20p">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if(isset($getteacher))
                                        @foreach($getteacher as $tech)
                                        <tr>
                                            <td>
                                                <img alt="avatar" class="rounded-circle avatar-md me-2" src="{{$tech?$tech->image:''}}">
                                            </td>
                                            <td>{{$tech?$tech->firstname:''}}</td>
                                            <td>{{$tech?$tech->lastname:''}}</td>
                                            <td><a href="#">{{$tech?$tech->email :''}}</a></td>
                                            <td>{{$tech?$tech->phone_number :''}}</td>
                                            <td>{{$tech?$tech->description:''}}</td>
                                            <td>
                                                <a href="{{route('teacher.edit',$tech?$tech->id:'')}}" class="btn btn-sm btn-info">
                                                    <i class="fe fe-edit-2"></i>
                                                </a>
                                                <a href="{{route('teacher.delete',$tech?$tech->id:'')}}" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to delete?')">
                                                    <i class="fe fe-trash"></i>
                                                </a>
                                                <a href="{{route('teacher.reviewss', $tech?$tech->id:'')}}" class="btn btn-sm btn-primary mx-2">Review</a>
                                            </td>
                                        </tr>
                                        @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                            <ul class="pagination mt-4 mb-0 float-end">
                                <li class="page-item page-prev disabled">
                                    <a class="page-link" href="#" tabindex="-1">Prev</a>
                                </li>
                                <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                <li class="page-item"><a class="page-link" href="#">2</a></li>
                                <li class="page-item"><a class="page-link" href="#">3</a></li>
                                <li class="page-item"><a class="page-link" href="#">4</a></li>
                                <li class="page-item"><a class="page-link" href="#">5</a></li>
                                <li class="page-item page-next">
                                    <a class="page-link" href="#">Next</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script type="text/javascript">
    document.getElementById("deleteRecord").addEventListener("click", function() {
        console.log("Record deleted");
        var myModal = new bootstrap.Modal(document.getElementById('exampleModal'));
        myModal.hide();
    });
</script>