@extends('Layout.master')
@section('content')
<div class="main-content side-content pt-0">
    <div class="main-container container-fluid">
        <div class="inner-body">
            <div class="page-header">
                <div>
                    <h2 class="main-content-title tx-24 mg-b-5">Admin</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="">Teacher</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Edit</li>
                    </ol>
                </div>
            </div>
            <form method="post" action="{{route('student.update')}}" enctype="multipart/form-data">
                @csrf
                <div class="row row-sm">
                    <div class="col-lg-12 col-md-12">
                        <div class="card custom-card">
                            <div class="card-body">
                                <input type="hidden" name="id" value="{{$editstudnet?$editstudnet->id:''}}" />
                                <input type="hidden" name="type" value="{{$editstudnet?$editstudnet->type:''}}" />
                                <div class="col-md-12 text-center">
                                    <label for="avatarUpload">
                                        <img id="avatarPreview" src="{{$editstudnet?$editstudnet->image:''}}" class="rounded-circle" style="width: 150px;" alt="Avatar" />
                                    </label>
                                    <input type="file" id="avatarUpload" style="display: none;" accept="image/*" onchange="previewAvatar(event)" name="image">
                                </div>
                                <div class="row row-sm  justify-content-between">
                                    <div class="col-md-12 p-5">
                                        <div class="d-flex align-items-center">
                                            <div class="col-lg">
                                                <label for="">First Name</label>
                                                <input class="form-control p-4" placeholder="First Name" type="text" name="firstname" value="{{$editstudnet?$editstudnet->firstname:''}}">
                                                @error('firstname')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                            <div class="col-lg">
                                                <label for="">Last Name</label>
                                                <input class="form-control p-4" placeholder="Last Name" type="text" name="lastname" value="{{$editstudnet?$editstudnet->lastname:''}}">
                                                @error('lastname')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="d-flex align-items-center mt-4">
                                            <div class="col-md-6 p-5">
                                                <label for="">Email Address</label>
                                                <input class="form-control p-4" placeholder="Email Address" type="email" name="email" value="{{$editstudnet?$editstudnet->email :''}}">
                                                @error('email')
                                                <span style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                            <div class="col-md-6 p-5">
                                                <label for="">Password(Optional)</label>
                                                <input class="form-control p-4" placeholder="Password" type="password" name="password">
                                            </div>
                                        </div>
                                        <div class="col-md-12 p-5">
                                            <label for="">Phone Number</label>
                                            <input class="form-control p-4" placeholder="phone Number" type="text" name="phone_number" value="{{$editstudnet?$editstudnet->phone_number:''}}">
                                            @error('phone_number')
                                            <span style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>
                                        <div class="col-md-12 justify-content-end d-flex mt-3 gap-2">
                                            <button type="submit" class="btn ripple btn-outline-primary btn-rounded form-control" class="btn ripple btn-primary" data-bs-target="#modaldemo4" data-bs-toggle="modal" href="" onclick="return confirm('Are you sure you want to Update?')">ADD  STUDENT</button>
                                        </div>
                                        <div class="modal" id="modaldemo1">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content modal-content-demo">
                                                    <div class="modal-body">
                                                        <p>Are you sure you want to delete this user?</p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button class="btn ripple btn-secondary" data-bs-dismiss="modal" type="button">no</button>
                                                        <button class="btn ripple btn-primary" type="button">yes
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal" id="modaldemo4">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content tx-size-sm">
                                                    <div class="modal-body tx-center pd-y-20 pd-x-20">
                                                        <button aria-label="Close" class="btn-close float-end" data-bs-dismiss="modal" type="button"></button>
                                                        <i class="icon ion-ios-checkmark-circle-outline tx-100 tx-success lh-1 mg-t-20 d-inline-block"></i>
                                                        <p class="mg-b-20 mg-x-20">Students Added Succesfully</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
<script type="text/javascript">
    function previewAvatar(event) {
        const input = event.target;
        const reader = new FileReader();
        reader.onload = function() {
            const img = document.getElementById('avatarPreview');
            img.src = reader.result;
        };
        reader.readAsDataURL(input.files[0]);
    }
</script>