@extends('website.layout.master')
@section('content')


@if (session()->has('message'))
<div class="row">
    <div class="col-md-12 d-flex justify-content-end align-items-center ">
        <div class="alert alert-success alert-dismissible fade show col-md-4 " role="alert">
            <div class="d-flex justify-content-between align-items-center">
                <div>
                    {{ session('message') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endif
<!-- Contact Form Start -->
<div class="section contact-form-section mb-5">
    <div class="container">
        <!-- Contact Form Wrapper Start -->
        <div class="contact-form-wrapper">
            <div class="row">
                <div class="col-lg-5 d-flex justify-content-center align-items-center no-display">
                    <img class="img-fluid" src="{{asset('assets/images/login.png')}}" alt="img"
                        style="max-width: 100%; max-height: 100%;">
                </div>
                <div class="col-lg-7">
                    <!-- Contact Form Start -->
                    <div class="contact-form">
                        <h6 class="title" style="font-size: 24px;">Log In To <span style="color: #6d5fed;">Abofyy</span>
                        </h6>
                        <form method="post" action="{{route('dashboard.login')}}">
                            @csrf
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="single-form">
                                        <input type="email" name="email" placeholder="Enter Your Email">
                                        @error('email')
                                        <span style="color:red;">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="single-form d-flex align-items-center justify-content-end">
                                        <input required type="password" name="password" id="passwordField"
                                            placeholder="Enter Your Password" style="position: relative;">
                                        <span toggle="#passwordField"
                                            class="fa fa-fw fa-eye field-icon toggle-password me-4"
                                            style="cursor: pointer; color: #6d5fed;position: absolute;justify-content: end ;"></span>
                                    </div>
                                    @error('password')
                                    <span style="color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="col-sm-12 justify-content-end">
                                    <div class="contact-btn">
                                        <button class="td" type="submit">Log In</button>
                                    </div>
                                    <div class="mt-2">
                                        <p>Don't have account? <a href="{{route('student.signup')}}">Sign Up</a></p>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection