@extends('website.layout.master')
@section('content')

@if (session()->has('message'))
<div class="row">
    <div class="col-md-12 d-flex justify-content-end align-items-center ">
        <div class="alert alert-success alert-dismissible fade show col-md-4 " role="alert">
            <div class="d-flex justify-content-between align-items-center">
                <div>
                    {{ session('message') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endif

<div class="section contact-form-section mb-5">
    <div class="container">
        <div class="contact-form-wrapper">
            <div class="row">
                <div class="col-lg-6 d-flex justify-content-center align-items-center no-display">
                    <img class="img-fluid" src="{{asset('assets/images/signup.png')}}" alt=""
                        style="max-width: 100%; max-height: 100%;">
                </div>
                <div class="col-lg-6">
                    <div class="contact-form">
                        <h6 class="title" style="font-size: 24px;">Register As <span
                                style="color: #6d5fed;">Student</span></h6>
                        <form method="post" action="{{route('studnet.register')}}" enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" name="type" value="STUDENT" />
                            <div class="row">
                                <div class="col-md-12 col-sm-12">
                                    <div class="single-form">
                                        <input type="text" name="firstname" placeholder="Enter Your First Name">
                                        @error('firstname')
                                        <span style="color:red;">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-sm-12">
                                    <div class="single-form">
                                        <input type="text" name="lastname" placeholder="Enter Your Last Name">
                                        @error('lastname')
                                        <span style="color:red;">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-sm-12">
                                    <div class="single-form">
                                        <input type="email" name="email" placeholder="Enter Your Email">
                                        @error('email')
                                        <span style="color:red;">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-12 col-sm-12">
                                    <div class="single-form">
                                        <input type="number" name="phone_number" placeholder="Enter Your Phone Number">
                                        @error('phone_number')
                                        <span style="color:red;">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="single-form d-flex align-items-center justify-content-end">
                                        <input type="password" id="passwordField" placeholder="Enter Your Password"
                                            style="position: relative;" name="password">


                                        <span toggle="#passwordField"
                                            class="fa fa-fw fa-eye field-icon toggle-password me-4"
                                            style="cursor: pointer; color: #6d5fed;position: absolute;"></span>

                                    </div>
                                    @error('password')
                                    <span style="color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="col-sm-12">
                                    <div class="upload__box d-flex">
                                        <div class="upload__btn-box">
                                            <label class="upload__btn">
                                                <p>Upload images</p>
                                                <input type="file" multiple="" data-max_length="20"
                                                    class="upload__inputfile" name="image">
                                            </label>
                                            <div class="upload__img-wrap"></div>
                                            @error('image')
                                            <span style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-12">
                                    <div class="contact-btn">
                                        <button class="btn-primary" type="submit">Register</button>
                                    </div>
                                    <div class="mt-2">
                                        <p>Already Have An Account? <a href="{{route('login')}}">Login </a></p>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection