<?php

use App\Http\Controllers\StudentController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\TeacherController;
use App\Http\Controllers\RatingController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\WebProfileController;
use App\Http\Controllers\WebTeachersController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\AboutController ;
use App\Models\UserRating;
use Illuminate\Support\Facades\RateLimiter;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

/**
 * login page
 */
Route::get('user/login', [LoginController::class, 'index'])->name('login');
Route::get('student/signup', [LoginController::class, 'signup'])->name('student.signup');
Route::post('dashboard/login', [LoginController::class, 'signin'])->name('dashboard.login');
Route::post('studnet/register', [LoginController::class, 'Signup_user'])->name('studnet.register');
Route::get('/user/logout', [LoginController::class, 'logout'])->name('user.logout');

Route::post('search_teacher', [WebTeachersController::class, 'search'])->name('search.teachers');
Route::get('/', [HomeController::class, 'index'])->name('abofyy.home');
Route::get('teachers', [WebTeachersController::class, 'index'])->name('web.teachers');
Route::get('single_teacher/{id}', [WebTeachersController::class, 'single_teacher'])->name('single.teachers');

// Route::get('about_us',[AboutController::class,'index'])->name('about.us');

Route::middleware('isadmin')->group(function () {
    Route::get('aboffy/dashboard', [DashboardController::class, 'index'])->name('dahboard');
    Route::get('studentlist', [StudentController::class, 'index'])->name('student.list');
    Route::get('editstudnet/{id}', [StudentController::class, 'edit'])->name('studnet.edit');
    Route::get('delete_student/{id}', [StudentController::class, 'delete'])->name('student.delete');
    Route::post('update_student', [StudentController::class, 'update'])->name('student.update');

    Route::get('teacher_list', [TeacherController::class, 'index'])->name('admin.teacherlist');
    Route::post('createteacher', [TeacherController::class, 'store'])->name('teacher.store');
    Route::get('edit_teacher/{id}', [TeacherController::class, 'edit'])->name('teacher.edit');
    Route::post('update_teacher', [TeacherController::class, 'update'])->name('teacher.update');
    Route::get('delete_teacher/{id}', [TeacherController::class, 'delete'])->name('teacher.delete');

    Route::get('reviews/{id}', [RatingController::class, 'index'])->name('teacher.reviewss');
    Route::get('edit_reviews/{id}', [RatingController::class, 'edit'])->name('edit.reviews');
    Route::post('updatereviews', [RatingController::class, 'update'])->name('update.reviews');
    Route::get('deleterating/{id}', [RatingController::class, 'delete'])->name('delete.reviews');
});

Route::middleware('myweb')->group(function () {
    Route::get('userprofile', [WebProfileController::class, 'index'])->name('web.user.profile');
    Route::post('updatesing_teacher', [WebTeachersController::class, 'update'])->name('update.single.teacher');
});

/**
 * web login
 */

// dashboard//
// Route::view('/aboutus', 'website.aboutus');
Route::view('/teacher', 'website.teacher');
Route::view('/teacher_single', 'website.teachersingle');
Route::view('teacherlist', 'admin.Teachers.index');
Route::view('addteacher', 'admin.Teachers.create');
Route::view('techerreview', 'admin.Teachers.reviews');
Route::view('notification', 'emails.notif');

/**
 * Reviews
 */